Function
bamRecordToAlignment
Convert BamAlignmentRecord to an Align object.
bamRecordToAlignment(align, reference, record)
Include Headers
seqan/bam_io.h
Parameters

align | The alignment to create. Types: Align
reference | String of Dna, Dna5, ... characters. Types: String
record | The alignment record to convert. Types: BamAlignmentRecord

Return Values
void
Member of
BamAlignmentRecord
Examples
StringSet<Dna5String> references;
BamAlignment record;
// Read references and record.
Align<Dna5String> align;
if (record.rID != BamAlignmentRecord::INVALID_REFID)
bamRecordToAlignment(align, references[record.refId], record);
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57